Debian Debian-France Debian-Facile Debian-fr.org Debian-fr.xyz Debian ? Communautés

Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 25-11-2020 09:21:50

jettero
Membre
Lieu : Lausanne (suisse)
Distrib. : Debian GNU/Linux stretch
Noyau : Linux 4.9.0-8-amd64
(G)UI : gdm3
Inscription : 09-03-2016

[RESOLU] Erreurs de clés - apt update

Bonjour à tous,

J'ai depuis quelques jours une erreur qui m'empêche de mettre à jour ma distribution.

Lorsque je fais une mise à jour j'ai

apt update


...
Ign :11 http://download.opensuse.org/repositories/home:/moritzmolch:/gencfsm/Debian_9.0/Release.key  Translation-fr
Err :8 http://download.opensuse.org/repositories/home:/moritzmolch:/gencfsm/Debian_9.0/Release.key  Packages
  404  Not Found [IP : 2001:67c:2178:8::13 80]
Ign :9 http://download.opensuse.org/repositories/home:/moritzmolch:/gencfsm/Debian_9.0/Release.key  Translation-fr_CH
Ign :10 http://download.opensuse.org/repositories/home:/moritzmolch:/gencfsm/Debian_9.0/Release.key  Translation-en
Ign :11 http://download.opensuse.org/repositories/home:/moritzmolch:/gencfsm/Debian_9.0/Release.key  Translation-fr
Err :12 http://apt.insync.io/debian buster InRelease
  Les signatures suivantes ne sont pas valables : EXPKEYSIG A684470CACCAF35C Insynchq Inc <services@insynchq.com>
5'539 o réceptionnés en 1s (6'243 o/s)
Lecture des listes de paquets... Fait
W: Une erreur s'est produite lors du contrôle de la signature. Le dépôt n'est pas mis à jour et les fichiers d'index précédents seront utilisés. Erreur de GPG : http://apt.insync.io/debian buster InRelease : Les signatures suivantes ne sont pas valables : EXPKEYSIG A684470CACCAF35C Insynchq Inc <services@insynchq.com>
W: Impossible de récupérer http://apt.insync.io/debian/dists/buster/InRelease  Les signatures suivantes ne sont pas valables : EXPKEYSIG A684470CACCAF35C Insynchq Inc <services@insynchq.com>
E: Impossible de récupérer http://download.opensuse.org/repositories/home:/moritzmolch:/gencfsm/Debian_9.0/Release.key/Packages  404  Not Found [IP : 2001:67c:2178:8::13 80]
W: Le téléchargement de quelques fichiers d'index a échoué, ils ont été ignorés, ou les anciens ont été utilisés à la place.
root@deb-home:/etc/apt/sources.list.d#
 



J'ai cherché comment résoudre ça, mais là ça fait plus de 2 heures et je n'y arrive toujours pas malgré les tentatives. J'ai bien vu qu'il y a sur cetains forums des solutions, mais aucune ne fonctionne.

Auriez-vous un conseil à me donner ?

Merci d'avance.

Dernière modification par jettero (30-11-2020 14:22:36)

Hors ligne

#2 25-11-2020 09:49:17

vv222
Administrateur
Lieu : Bretagne
Distrib. : GNU/Linux Debian « Sid »
Noyau : Linux ≥ 5.10 (amd64)
(G)UI : Openbox
Inscription : 18-11-2013
Site Web

Re : [RESOLU] Erreurs de clés - apt update

La clé signant les paquets du dépôt apt.insync.io est expirée, ce n’est donc plus sécurisé de l’utiliser. À voir sur leur documentation s’ils fournissent des informations au sujet d’une clé à jour, mais il y a un risque que ce dépôt ne soit plus maintenu.

Le dépôt download.opensuse.org pour gencfsm ne semble plus exister pour Debian 9.0.

Jouer sous Debian ? Facile !

Hors ligne

#3 25-11-2020 11:10:00

jettero
Membre
Lieu : Lausanne (suisse)
Distrib. : Debian GNU/Linux stretch
Noyau : Linux 4.9.0-8-amd64
(G)UI : gdm3
Inscription : 09-03-2016

Re : [RESOLU] Erreurs de clés - apt update

hum je comprends. Comment je peux faire pour contourner la chose et mettre à jour mon installation ? Parralèllement j'ai tenté de trouver une alternative à gnome-encfs-manager, mais j'ai rien trouvé de similaire à part de vieux projets comme TrueCrypt. Du coup, j'utilise pas mal cette application, mais pas fermé à une autre qui ferait la même chose.

Hors ligne

#4 25-11-2020 11:18:02

vv222
Administrateur
Lieu : Bretagne
Distrib. : GNU/Linux Debian « Sid »
Noyau : Linux ≥ 5.10 (amd64)
(G)UI : Openbox
Inscription : 18-11-2013
Site Web

Re : [RESOLU] Erreurs de clés - apt update

jettero a écrit :

Comment je peux faire pour contourner la chose et mettre à jour mon installation ?



Je ne connais aucune des deux applications que tu installes via ces dépôts, donc je risque de ne pas être très utile wink

Pour attirer l’aide de ceux qui les connaissent je te conseille d’ouvrir une nouvelle discussion pour chacune des deux, avec un titre du style : « Installer $application ou une alternative ».

---

Oups, je ne réponds pas directement à la question…

Il faut que tu retires ces dépôts des listes de sources de paquets pour APT (fichiers /etc/apt/sources.list et /etc/apt/sources.list.d/*) pour qu’ils arrêtent de perturber le bon fonctionnement de tes mises-à-jour.


Jouer sous Debian ? Facile !

Hors ligne

#5 25-11-2020 16:34:42

èfpé
Membre
Inscription : 10-07-2016

Re : [RESOLU] Erreurs de clés - apt update

Bonjour,

jettero a écrit :

apt update

W: Impossible de récupérer http://apt.insync.io/debian/dists/buster/InRelease  Les
   signatures suivantes ne sont pas valables : EXPKEYSIG A684470CACCAF35C Insynchq
   Inc <services@insynchq.com>


La clé publique a expiré le 10 septembre 2020 mais a été rafraîchie : tu peux donc la mettre à jour :

apt-key adv --keyserver hkps://keyserver.ubuntu.com --refresh-keys A684470CACCAF35C


Cela ne fonctionne pas avec le serveur implicite, de plus, cette commande est cohérente avec la doc.

E: Impossible de récupérer http://download.opensuse.org/repositories/home:/moritzm
   olch:/gencfsm/Debian_9.0/Release.key/Packages  404  Not Found [IP : 2001:67c:21
   78:8::13 80]


Le dépôt existe, par contre, Release.key n'est pas un répertoire : probable erreur de configuration !

Dernière modification par èfpé (26-11-2020 07:44:42)

Hors ligne

#6 30-11-2020 14:20:31

jettero
Membre
Lieu : Lausanne (suisse)
Distrib. : Debian GNU/Linux stretch
Noyau : Linux 4.9.0-8-amd64
(G)UI : gdm3
Inscription : 09-03-2016

Re : [RESOLU] Erreurs de clés - apt update

Merci pour votre aide.

J'ai pu rétablir de l'ordre et faire ma mise à jour wink

Hors ligne

Pied de page des forums